Eclipse Remote Application Platform

## org.eclipse.rap.rwt.widgets
Class BrowserUtil

    java.lang.Object
      org.eclipse.rap.rwt.widgets.BrowserUtil

    public final class BrowserUtil

extends java.lang.Object

Utility class to work with non-blocking browser script execution.

Since:
  2.0
See Also:
  `Browser`

Method Summary
`static void` `evaluate(Browser browser, java.lang.String script, BrowserCallback browserCallback)` Executes the given script in a non-blocking way.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### evaluate

    public static void evaluate(Browser browser,
                                java.lang.String script,
                                BrowserCallback browserCallback)

  Executes the given script in a non-blocking way. The `browserCallback` is notified when the result from the operation is available.

  Use this method instead of the `execute()` or `evaluate()` methods from the respective `Browser` widget when running a life cycle without a dedicated UI thread where `evaluate()` does not block the program execution flow.

  Parameters:
    `browser` - the browser to execute the script, must not be `null`.
    `script` - the script to execute, must not be `null`.
    `browserCallback` - the callback to be notified when the result from the script execution is available, must not be `null`.
  See Also:
    `Browser`, `BrowserCallback`, `Application.OperationMode`

Eclipse Remote Application Platform

Copyright (c) EclipseSource and others 2002, 2013. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0